FIZMO-CONSOLE(6)

NAME
fizmo-console - bare-bone console implementation of the fizmo Z-Maschine Interpreter.

SYNOPSIS
fizmo-console [ options ] storyfile

DESCRIPTION
fizmo-console is a frontend for the fizmo Z-Machine interpreter—“Fimzo interprets Z-machine opcodes”—which uses only the basic console output and input methods. It will run most of the interactive fiction games aka text adventures written by Infocom or other games which are based on the Z-Machine—currently all versions except version 6 are supported.

OPTIONS

-h, --help
    Show help message and exit.

-ll, --line-length
    Will set the line length for the current screen. This will enable word-wrapping using the defined screen size.

-dh, --disable-hyphenation
    Disable word hyphenation. Useful for languages other than the supported ones.

-ai, --autosave-inputfile
    Restore game from this file.

-ao, --autosave-outputfile
    Save to this file after single command.

CREDITS

  ITF — The InfoTaskForce
All the people who worked on the Z-Machine Specification, in alphabetical order: Chris Tham, David Beazley, David Fillmore, George Janczuk, Graham Nelson, Mark Howell, Matthias Pfaller, Mike Threepoint, Paul David Doherty, Peter Lisle, Russell Hoare and Stefan Jokisch. See http://en.wikipedia.org/wiki/InfoTaskForce for more information.

  The Frotz authors
When I really got stuck I peeked into the frotz source. Thanks to Stefan Jokisch, Galen Hazelwood and David Griffith.

  Mark Howell
For the pix2gif code which is used in libdrilbo to parse the infocom .mg1 image files.

  People helping with bug fixes, extensions, packaging, translations and more
in alphabetical order: Andrew Plotkin, B. Watson, Michael Baltes, David Batchelder, David Leverton, Eric Forgeot, Jared Reisinger, irb, Lewis Gentry, Michael Dunlap, Mikko Torvinen, Nikos Chantziaras, Patrick Matthäi, Samuel Verschelde, Stephen Gutknecht, Zachary Kline and the people at MacPorts.

SEE ALSO
fizmo-ncursesw(6), fizmo-sdl2(6), frotz(6), xzip(6), jzip(6), inform(1)

AUTHOR
Fizmo was written in 2005–2017 by Christoph Ender.

BUGS
Fizmo is in beta stage and will probably still have some bugs. If you stumble upon one, please send an e-mail to fizmo@spellbreaker.org.